<div class="bl">

    <div
        style="background-image: url('https://dualcat.io/wp-content/uploads/2020/12/Banniere_ApercuLien.png'); width: 100%; height: 40vh; background-position: center;">

    </div>



    <div style=" display: block;">

        <mat-card style="margin:auto; margin-top: 5%; width: 30%;">
            <mat-card-title *ngIf="isLoading">Chargement des données (Cela prend du temps ...)</mat-card-title>
            <div style="display: block;">
                


                <mat-form-field class="example-full-width" appearance="fill" style="display: block;">
                    <mat-label>Nombre de chats à détecter</mat-label>
                    <input matInput placeholder="Ex. Pizza" [(ngModel)]="numberOfCats">
                </mat-form-field>


                <button (click)="launchDetection()" mat-raised-button color="primary" mat-button>Lancer
                    l'analyse</button>
            </div>
        </mat-card>

        <mat-card style="width: 90%; margin-top: 5%;">
            <div style="display: flex;">
                <plotly-plot [data]="graph.data" [layout]="graph.layout"></plotly-plot>
                <mat-card style="margin-right: 5%;">
                    <mat-card-title>Image la mieux détectée</mat-card-title>

                    <img class="images" [src]="stats[0].url" />

                </mat-card>
                <mat-card style="margin-right: 5%;">
                    <mat-card-title>Image la moins bien détectée</mat-card-title>

                    <img class="images" [src]="stats[stats.length-1].url" />

                </mat-card>
            </div>
        </mat-card>
        <mat-card class="infoCard" style="width: 80%; margin-top: 5%;">
            <mat-card-title>Statistiques</mat-card-title>
            <mat-card-content>
                <mat-form-field appearance="standard" style="width: 50%;">
                    <mat-label>FIltrer le tableau</mat-label>
                    <input matInput (keyup)="applyFilter($event)" placeholder="Ex. https://placekitten.com/400/400"
                        #input>
                </mat-form-field>

                <table mat-table [dataSource]="dataSource" class="tableUsers">


                    <ng-container matColumnDef="url">
                        <th mat-header-cell *matHeaderCellDef> Url </th>
                        <td mat-cell *matCellDef="let row"> {{row.url}} </td>
                    </ng-container>

                    <ng-container matColumnDef="score">
                        <th mat-header-cell *matHeaderCellDef> Score </th>
                        <td mat-cell *matCellDef="let row"> {{row.score}} </td>
                    </ng-container>

                    <ng-container matColumnDef="label">
                        <th mat-header-cell *matHeaderCellDef> Label détecté </th>
                        <td mat-cell *matCellDef="let row"> {{row.label}} </td>
                    </ng-container>
                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
                </table>
            </mat-card-content>
            <mat-divider inset></mat-divider>



        </mat-card>




    </div>


</div>